.p-company {
  padding-block: 60px;
  padding-inline: 20px;
}

.c-company-title {
  border-bottom: solid 1px #d2d9e0;
  color: #2f71b7;
  font-family: "Lato", sans-serif;
  font-size: 38px;
  font-weight: bold;
  line-height: calc(51 / 38);
  padding-bottom: 18px;
  width: 100%;
}

.c-company-list__item {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.c-company-list__item h1,
.c-company-list__item h2,
.c-company-list__item h3 {
  border-top: dotted 1px #d2d9e0;
  color: #575757;
  font-size: 14px;
  font-weight: bold;
  line-height: calc(20 / 14);
  padding-top: 20px;
}
.c-company-list__item p {
  color: #575757;
  font-size: 14px;
  font-weight: 500;
  letter-spacing: normal;
  line-height: calc(30 / 14);
}
.c-company-list__item > div {
  min-width: 0;
  padding-bottom: 20px;
}

.p-company__inner {
  display: flex;
  flex-direction: column;
  gap: 60px;
  margin-inline: auto;
  max-width: 1138px;
}

.p-company-info__contents {
  margin-top: 20px;
}

.p-company-info__item-map {
  aspect-ratio: 892/350;
  height: 350px;
  margin-top: 10px;
  overflow: hidden;
  width: 100%;
}
.p-company-info__item-map > div {
  height: 100%;
  width: 100%;
}

.p-company-message__contents {
  margin-top: 20px;
}

.p-company-message__img {
  aspect-ratio: 1138/370;
  height: 370px;
  overflow: hidden;
  width: 100%;
}

.p-company-message__texts {
  display: grid;
  gap: 15px;
  grid-template-columns: 1fr;
  margin-top: 30px;
}

.p-company-message__wrap {
  color: #575757;
  display: flex;
  flex-direction: column;
  font-size: 14px;
  font-weight: 500;
  gap: 15px;
  letter-spacing: normal;
  line-height: 2;
}

.p-company-message__name {
  font-weight: bold;
  text-align: right;
}

.p-company-history__contents {
  margin-top: 20px;
}
.p-company-history__contents .c-company-list__item p {
  line-height: calc(32 / 14);
}
@media (min-width: 768px) {
  .c-company-list__item {
    display: grid;
    gap: 46px;
    grid-template-columns: 200px auto;
  }
  .c-company-list__item h1,
  .c-company-list__item h2,
  .c-company-list__item h3 {
    padding-bottom: 47px;
  }
  .c-company-list__item > div {
    min-width: 0;
    padding-bottom: 42px;
    padding-top: 15px;
  }
  .c-company-list__item:nth-last-child(1) h1,
  .c-company-list__item:nth-last-child(1) h2,
  .c-company-list__item:nth-last-child(1) h3 {
    border-bottom: dotted 1px #d2d9e0;
  }
  .p-company-message__texts {
    gap: 60px;
    grid-template-columns: 1fr 1fr;
    margin-top: 50px;
  }
  .p-company-history__contents .c-company-list__item {
    gap: 20px;
    grid-template-columns: 115px auto;
  }
}
@media (min-width: 1024px) {
  .p-company {
    padding-bottom: 98px;
    padding-top: 108px;
  }
  .c-company-list__item > div {
    padding-bottom: 42px;
    padding-top: 15px;
  }
  .p-company__inner {
    gap: 93px;
  }
  .p-company-info__contents {
    margin-top: 46px;
  }
  .p-company-info__item-map {
    margin-top: 40px;
  }
  .p-company-message__contents {
    margin-top: 45px;
  }
  .p-company-message__wrap {
    gap: 22px;
  }
  .p-company-history__contents {
    display: grid;
    gap: 66px;
    grid-template-columns: 1fr 1fr;
    margin-top: 50px;
  }
  .p-company-history__contents .c-company-list__item {
    gap: 32px;
  }
}